#
# spec file for package fontforge
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fontforge
BuildRequires:  dos2unix
BuildRequires:  freetype2-devel
BuildRequires:  giflib-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
Version:        20110222
Release:        0
Obsoletes:      PfaEdit < 20110222
Provides:       PfaEdit = %{version}
Url:            http://fontforge.sourceforge.net/
Source0:        http://dfn.dl.sourceforge.net/sourceforge/fontforge/fontforge_full-%{version}.tar.bz2
Source1:        http://sourceforge.net/projects/fontforge/files/fontforge-docs/fontforge_htdocs-20110221.tar.bz2
Source2:        http://belnet.dl.sourceforge.net/sourceforge/fontforge/fontforge_ja_htdocs-20060822.tar.bz2
Source10:       %{name}.desktop
Source11:       %name.png
Patch0:         docdir.patch
Patch2:         fontforge-missing-closedir.diff
Patch3:         fontforge-20090622-fdleak.patch
# libpng14.diff upstreamed from 20110222
Patch4:         libpng14.diff  
# fontforge.py27.diff upstreamed from 20110222
Patch5:         fontforge.py27.diff  
Patch6:         libpng14-dynamic.diff
Patch7:         fontforge-python-module-name.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Font Editor
License:        BSD-3-Clause
Group:          Productivity/Graphics/Vector Editors

%description
FontForge allows editing of outline and bitmap fonts.  With it, you can
create new fonts or modify old ones.  It also converts font formats and
can convert among PostScript (ASCII & binary Type 1, some Type 3s, and
some Type 0s), TrueType, OpenType (Type2), and CID-keyed fonts.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/Other
Requires:       %{name} = %{version} freetype2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q -T -n fontforge-%{version} -b 0
%patch0 -p 1 -b .docdir
%patch2 -p1
%patch3
%if %suse_version > 1120
# change <= 1130 to <= 1140 as soon as factory will have suse_version > 1140
%if %suse_version <= 1130  
%patch4 -p1
%endif
%endif
%if %suse_version > 1130 
# change the nonsense <= 1130 to <= 1140 as soon as factory will have suse_version > 1140
%if %suse_version <= 1130  
%patch5 -p1
%endif
%endif
%if %suse_version > 1120
%patch6
%endif
%patch7
mkdir docs
tar -jxvf %{S:1} -C docs
tar -jxvf %{S:2} -C docs
chmod 644 docs/quadraticspline.gif
dos2unix docs/ja/*html docs/ja/nonBMP/index.html docs/corpchar.txt docs/Big5.txt
tar zxvf docs/cidmaps.tgz
find . -name "*.html" -o -name "*.png" | xargs chmod 644
find . -name CVS -type d | xargs rm -rf

%build
#libtoolize --force
#autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# --with-multilayer
%configure --disable-static --with-pic \
           --enable-pyextension
make %{?_smp_mflags}

pushd pyhook
python setup.py build
popd

%install
make DESTDIR=$RPM_BUILD_ROOT install
pushd $RPM_BUILD_ROOT/usr/bin
    ln -s fontforge pfaedit
popd
# install CMaps to be able to edit CID-keyed fonts:
install -m 644 Adobe* $RPM_BUILD_ROOT/usr/share/fontforge
install -d $RPM_BUILD_ROOT%_datadir/pixmaps
install -m644 $RPM_SOURCE_DIR/%name.png $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png
%find_lang FontForge
%suse_update_desktop_file -i %{name} VectorGraphics
%{__rm} -f %{buildroot}%{_libdir}/*.la

pushd pyhook
python setup.py install \
   --root=$RPM_BUILD_ROOT \
   --prefix=%{_prefix} \
   --record-rpm=%{name}-python.files
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f FontForge.lang
%defattr(-,root,root)
%doc AUTHORS VERSION LICENSE README* docs
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir /usr/share/fontforge/
/usr/share/fontforge/*
%doc %{_mandir}/man1/*.1*
/usr/share/applications/%{name}.desktop
%_datadir/pixmaps/%name.png
%py_sitedir/*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/fontforge/
%{_includedir}/fontforge/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so

%changelog
